ssim.h File Reference
`#include <functional>`
`#include <string>`
Include dependency graph for ssim.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | ssim::Event
| basic event in the simulation. More...
class | ssim::Process
| Virtual class (interface) representing processes running within the simulator. More...
class | ssim::ProcessWithPId
| utility Process class providing a utility interface with the simulator. More...
class | ssim::SimErrorHandler
| an error handler for simulation errors. More...
class | ssim::Sim
| a generic discrete-event sequential simulator More...

## Namespaces

| ssim
| name space for the Siena simulator.

## Typedefs

typedef int | ssim::ProcessId
| process identifier type More...
typedef double | ssim::Time
| virtual time type More...
typedef std::function< bool(const Event *)> | ssim::EventPredicate

## Functions

void | ssim::Rprint_actions ()

## Variables

const ProcessId | ssim::NULL_PROCESSID = -1
| no process will be identified by NULL_PROCESSID More...
const Time | ssim::INIT_TIME = 0
| beginning of time More...

## Detailed Description

This header file defines the simulator API.

Definition in file ssim.h.